general_purpose:
  t2.nano:
    vcpus: 1
    memory: 0.5
    instance_storage: EBS only
    ebs_optimized_available: false
    network_performance: Low
  t2.micro:
    vcpus: 1
    memory: 1
    instance_storage: EBS only
    ebs_optimized_available: false
    network_performance: Low to Moderate
  t2.small:
    vcpus: 1
    memory: 2
    instance_storage: EBS only
    ebs_optimized_available: false
    network_performance: Low to Moderate
  t2.medium:
    vcpus: 2
    memory: 4
    instance_storage: EBS only
    ebs_optimized_available: false
    network_performance: Low to Moderate
  t2.large:
    vcpus: 4
    memory: 8
    instance_storage: EBS only
    ebs_optimized_available: false
    network_performance: Low to Moderate
  m4.large:
    vcpus: 2
    memory: 8
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: Moderate
  m4.xlarge:
    vcpus: 4
    memory: 16
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  m4.2xlarge:
    vcpus: 8
    memory: 32
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  m4.4xlarge:
    vcpus: 16
    memory: 64
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  m4.10xlarge:
    vcpus: 40
    memory: 160
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: 10 Gigabit
  m3.medium:
    vcpus: 1
    memory: 3.75
    instance_storage: 1 x 4 (SSD)
    ebs_optimized_available: false
    network_performance: Moderate
  m3.large:
    vcpus: 2
    memory: 7.5
    instance_storage: 1 x 32 (SSD)
    ebs_optimized_available: false
    network_performance: Moderate
  m3.xlarge:
    vcpus: 4
    memory: 15
    instance_storage: 2 x 40 (SSD)
    ebs_optimized_available: true
    network_performance: High
  m3.2xlarge:
    vcpus: 8
    memory: 30
    instance_storage: 2 x 80 (SSD)
    ebs_optimized_available: true
    network_performance: High
compute_optimized:
  c4.large:
    vcpus: 2
    memory: 3.75
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  c4.xlarge:
    vcpus: 4
    memory: 7.5
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  c4.2xlarge:
    vcpus: 8
    memory: 15
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  c4.4xlarge:
    vcpus: 16
    memory: 30
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: High
  c4.8xlarge:
    vcpus: 36
    memory: 60
    instance_storage: EBS only
    ebs_optimized_available: true
    network_performance: 10 Gigabit
  c3.large:
    vcpus: 2
    memory: 3.75
    instance_storage: 2 x 16 (SSD)
    ebs_optimized_available: false
    network_performance: Moderate
  c3.xlarge:
    vcpus: 4
    memory: 7.5
    instance_storage: 2 x 40 (SSD)
    ebs_optimized_available: true
    network_performance: Moderate
  c3.2xlarge:
    vcpus: 8
    memory: 15
    instance_storage: 2 x 80 (SSD)
    ebs_optimized_available: true
    network_performance: High
  c3.4xlarge:
    vcpus: 16
    memory: 30
    instance_storage: 2 x 160 (SSD)
    ebs_optimized_available: true
    network_performance: High
  c3.8xlarge:
    vcpus: 32
    memory: 60
    instance_storage: 2 x 320 (SSD)
    ebs_optimized_available: false
    network_performance: 10 Gigabit
memory_optimized:
  r3.large:
    vcpus: 2
    memory: 15.25
    instance_storage: 1 x 32 (SSD)
    ebs_optimized_available: false
    network_performance: Moderate
  r3.xlarge:
    vcpus: 4
    memory: 30.5
    instance_storage: 1 x 80 (SSD)
    ebs_optimized_available: true
    network_performance: Moderate
  r3.2xlarge:
    vcpus: 8
    memory: 61
    instance_storage: 1 x 160 (SSD)
    ebs_optimized_available: true
    network_performance: High
  r3.4xlarge:
    vcpus: 16
    memory: 122
    instance_storage: 1 x 320 (SSD)
    ebs_optimized_available: true
    network_performance: High
  r3.8xlarge:
    vcpus: 32
    memory: 244
    instance_storage: 2 x 320 (SSD)
    ebs_optimized_available: false
    network_performance: 10 Gigabit
storage_optimized:
  i2.xlarge:
    vcpus: 4
    memory: 30.5
    instance_storage: 1 x 800 (SSD)
    ebs_optimized_available: true
    network_performance: Moderate
  i2.2xlarge:
    vcpus: 8
    memory: 61
    instance_storage: 2 x 800 (SSD)
    ebs_optimized_available: true
    network_performance: High
  i2.4xlarge:
    vcpus: 16
    memory: 122
    instance_storage: 4 x 800 (SSD)
    ebs_optimized_available: true
    network_performance: High
  i2.8xlarge:
    vcpus: 32
    memory: 244
    instance_storage: 8 x 800 (SSD)
    ebs_optimized_available: false
    network_performance: 10 Gigabit
  d2.xlarge:
    vcpus: 4
    memory: 30.5
    instance_storage: 3 x 2000 (SSD)
    ebs_optimized_available: true
    network_performance: Moderate
  d2.2xlarge:
    vcpus: 8
    memory: 61
    instance_storage: 6 x 2000 (SSD)
    ebs_optimized_available: true
    network_performance: High
  d2.4xlarge:
    vcpus: 16
    memory: 122
    instance_storage: 12 x 2000 (SSD)
    ebs_optimized_available: true
    network_performance: High
  d2.8xlarge:
    vcpus: 36
    memory: 244
    instance_storage: 24 x 2000 (SSD)
    ebs_optimized_available: true
    network_performance: 10 Gigabit
gpu_instances:
  g2.2xlarge:
    vcpus: 8
    memory: 15
    instance_storage: 1 x 60 (SSD)
    ebs_optimized_available: true
    network_performance: High
  g2.8xlarge:
    vcpus: 32
    memory: 60
    instance_storage: 2 x 120 (SSD)
    ebs_optimized_available: false
    network_performance: 10 Gigabit
